#gCube Dependency Walker Pipeline
Given a Jenkins project P:
 - navigate the maven modules built by P
 - recursively analyze the module's dependencies and their jenkins projects
 - generate the list of projects that have modules depending on each maven module in P
 - print a formatted report of the information extracted from the analysis.
 
## Requirements
* [Jenkins](https://jenkins.io/) ver. 2.164.2 or newer
* [Pipeline plugin](https://wiki.jenkins.io/display/JENKINS/Pipeline+Plugin)
* [Pipeline: Maven](https://plugins.jenkins.io/pipeline-maven)
* [Pipeline: Basic Steps](https://plugins.jenkins.io/workflow-basic-steps) 
* [Pipeline: Dependency Walker](https://plugins.jenkins.io/pipeline-dependency-walker/) 
* [NodeLabelParameter](https://plugins.jenkins.io/nodelabelparameter) (to allow to dynamically select the node on which a job should be executed)
